package DE_EPAGES::Content::t::exportStyle;
use base DE_EPAGES::Shop::API::Test;
use strict;
use Test::More tests => 4;
use DE_EPAGES::Content::API::XML::StyleExportDriver qw( ExportStyle );
use DE_EPAGES::Content::API::XML::StyleImportHandler qw( ImportStyle );
use DE_EPAGES::Core::API::File qw( ExistsFile DeleteFile );

sub test {
    my $self = shift;
    my $Shop = $self->shop;

    my $Style = $Shop->get('DefaultStyle');
    my $FileName = 'exportStyle.zip';
    my $LanguageID = $Shop->get('LanguageID');
    my $MultiLanguageExport = 1;
    my $ImportStartPage = 1;

    DeleteFile( $FileName );
    ok( !ExistsFile( $FileName ), 'before export' );

    my $aWarnings = ExportStyle($Style, $FileName, $LanguageID, $MultiLanguageExport);
    note 'Warning: '.$_->shortMessage foreach @$aWarnings;
    ok( ExistsFile( $FileName ), 'after export' );

    my ($aImportWarnings, $ImportStyle) = ImportStyle($FileName, $Shop, $LanguageID, $ImportStartPage);
    note 'Warning: '.$_->shortMessage foreach @$aImportWarnings;
    ok( 0 == @$aImportWarnings, 'import' );
    isnt( $ImportStyle->alias, $Style->alias, 'import style alias' );
    DeleteFile( $FileName );
}

__PACKAGE__->runScript;
