﻿use Test::More tests => 11;
use DE_EPAGES::Core::API::Scramble qw( Scramble Unscramble );
use strict;

ok( "eo+ej5xKfY2Sn5akjw==\n" eq Scramble('Peter Schulze'), 'Scramble' );
ok( 'Peter Schulze' eq Unscramble('eo+ej5xKfY2Sn5akjw=='), 'Unscramble without newline' );
ok( 'Peter Schulze' eq Unscramble("eo+ej5xKfY2Sn5akjw==\n"), 'Unscramble with newline' );

{
    use utf8;
    my @Strings = (
        'Peter Schulze',
        'Käthe Müller',
        'Радуга',
    );
    foreach my $String ( @Strings ) {
        my $Scrambled = Scramble( $String );
        ok( Unscramble($Scrambled) eq $String, 'Roundtrip' );
    }

    is( Scramble('Hallo'), "couWlpk=\n", 'Scramble without eol');
    is( Scramble('Hallo', '--'), 'couWlpk=--', 'Scramble with eol');
    is( Scramble('Hallo', ''), 'couWlpk=', 'Scramble with empty eol');
    is( Unscramble("couWlpk=\n"), 'Hallo', 'Unscramble with eol');
    is( Unscramble('couWlpk='), 'Hallo', 'Unscramble without eol');
}
