#!/bin/bash
#-----BEGIN PGP SIGNATURE-----
#Version: GnuPG v1.2.6 (GNU/Linux)
#Comment: 2008-11-24 ePages Software GmbH (release key) <rnd@epages.de>
#
#iD8DBQBSX7P5l5jMabHSgyARAifCAKDUvqbu+axItJ2Kikc2/1lo2MA2zwCaAvEk
#Hm9GDkpBPHTDieh0VSYikls=
#=4vw0
#-----END PGP SIGNATURE-----

. /var/epages/functions.sh
. $(etc_default)

for i in 0 1 2 3 4 5 ; do
 DAYS_AGO[$i]=$(date --date="2000-10-$((10-$i)) 01:00")
 DAYS_AGO_FMT[$i]=$(date --date="2000-10-$((10-$i)) 01:00" +%Y%m%d%H%M%S)
done

DATE_SHIFT=$(( ($(date +%s) - $(date --date="2000-10-10 01:00" +%s)) / (60*60*24) ))

YEAR_AGO=$(date --date="1999-10-10 01:00" +%Y/%m)
YEAR_AGO_FMT=$(date --date="1999-10-10 01:00" +%Y%m%d%H%M%S)

export DUMP_DIR=/tmp/MySQLArchiveDumps.$$
rm -rf $DUMP_DIR
mkdir -p $DUMP_DIR/base

pushd $DUMP_DIR/base >/dev/null

for i in 0 1 2 ; do
  now=$(($i * 2))
  then=$(($now + 1))
  mkdir -p binlog/$now binlog/$then
  for DB in store site ; do
    if [[ $MK_TMP = 1 ]] ; then
      echo $now/$then/$DB
      echo touch -d \"${DAYS_AGO[$now]}\" ${DB}db_${DAYS_AGO_FMT[$now]}.dmp
      echo touch -d \"${DAYS_AGO[$then]}\" ${DB}db_${DAYS_AGO_FMT[$then]}.dmp.gz
      echo touch -d \"${DAYS_AGO[$now]}\" binlog/$now/${DB}db_${DAYS_AGO_FMT[$now]}.bin
      echo touch -d \"${DAYS_AGO[$then]}\" binlog/$then/${DB}db_${DAYS_AGO_FMT[$then]}.bin.gz
    fi
    touch -d "${DAYS_AGO[$now]}" ${DB}db_${DAYS_AGO_FMT[$now]}.dmp
    touch -d "${DAYS_AGO[$then]}" ${DB}db_${DAYS_AGO_FMT[$then]}.dmp.gz
    touch -d "${DAYS_AGO[$now]}" binlog/$now/${DB}db_${DAYS_AGO_FMT[$now]}.bin
    touch -d "${DAYS_AGO[$then]}" binlog/$then/${DB}db_${DAYS_AGO_FMT[$then]}.bin.gz
  done
done

touch storedb_${DAYS_AGO_FMT[0]}.dmp.gz

mkdir -p Archive/$YEAR_AGO
if [[ $MK_TMP = 1 ]] ; then
  echo $YEAR_AGO
  echo touch storedb_${DAYS_AGO_FMT[0]}.dmp.gz
  echo touch Archive/$YEAR_AGO/sitedb_$YEAR_AGO_FMT.dmp Archive/$YEAR_AGO/storedb_$YEAR_AGO_FMT.dmp.gz
  echo touch Archive/$YEAR_AGO/foobaz.dmp Archive/$YEAR_AGO/storedb_$YEAR_AGO_FMT.dmp.gz
  echo touch foobar.dmp foobaz.dmp.gz
fi
touch Archive/$YEAR_AGO/sitedb_$YEAR_AGO_FMT.dmp Archive/$YEAR_AGO/storedb_$YEAR_AGO_FMT.dmp.gz
touch Archive/$YEAR_AGO/foobaz.dmp Archive/$YEAR_AGO/storedb_$YEAR_AGO_FMT.dmp.gz
touch foobar.dmp foobaz.dmp.gz

popd >/dev/null

[[ $MK_TMP = 1 ]] && { echo $DUMP_DIR/base; exit 0; }
[[ -n $VERBOSE ]] && NOOUT= || NOOUT=-nooutput

for zipper in '' 'bzip2 -9' ; do
  [[ -z $zipper ]] && exe=gzip || exe=${zipper%% *}
  for days in '' 0 5 300 ; do

    cp -rp $DUMP_DIR/base $DUMP_DIR/$exe.$days

    if [[ -n $days && -n $zipper ]] ; then
      echo "$PERL $EPAGES_CARTRIDGES/DE_EPAGES/Database/Scripts/MySQLArchiveDumps.pl -dumpdir $DUMP_DIR/$exe.$days $NOOUT -delold $(($DATE_SHIFT + $days)) -zipper \"$zipper\""
      $PERL $EPAGES_CARTRIDGES/DE_EPAGES/Database/Scripts/MySQLArchiveDumps.pl -dumpdir $DUMP_DIR/$exe.$days $NOOUT -delold $(($DATE_SHIFT + $days)) -zipper "$zipper"
    elif [[ -n $days ]] ; then
      echo "$PERL $EPAGES_CARTRIDGES/DE_EPAGES/Database/Scripts/MySQLArchiveDumps.pl -dumpdir $DUMP_DIR/$exe.$days $NOOUT -delold $(($DATE_SHIFT + $days))"
      $PERL $EPAGES_CARTRIDGES/DE_EPAGES/Database/Scripts/MySQLArchiveDumps.pl -dumpdir $DUMP_DIR/$exe.$days $NOOUT -delold $(($DATE_SHIFT + $days))
    elif [[ -n $zipper ]] ; then
      echo "$PERL $EPAGES_CARTRIDGES/DE_EPAGES/Database/Scripts/MySQLArchiveDumps.pl -dumpdir $DUMP_DIR/$exe.$days $NOOUT -zipper \"$zipper\""
      $PERL $EPAGES_CARTRIDGES/DE_EPAGES/Database/Scripts/MySQLArchiveDumps.pl -dumpdir $DUMP_DIR/$exe.$days $NOOUT -zipper "$zipper"
    else
      echo "$PERL $EPAGES_CARTRIDGES/DE_EPAGES/Database/Scripts/MySQLArchiveDumps.pl -dumpdir $DUMP_DIR/$exe.$days $NOOUT"
      $PERL $EPAGES_CARTRIDGES/DE_EPAGES/Database/Scripts/MySQLArchiveDumps.pl -dumpdir $DUMP_DIR/$exe.$days $NOOUT
    fi

    ( cd $DUMP_DIR/$exe.$days ; find * -type f ) | sort > MySQLArchiveDumps.$exe.$days.found
    echo "`pwd`: MySQLArchiveDumps.$exe.$days.found"
  done
done

[[ $DEL_TMP = 0 ]] && echo $DUMP_DIR || rm -rf $DUMP_DIR

exit 0
