#========================================================================================
# package      Test
#----------------------------------------------------------------------------------------
# description  Package for testing TrayBuilder.pm
#========================================================================================
package Test;
use parent DE_EPAGES::Database::API::Test;

use strict;
use Test::More tests => 3;
use DE_EPAGES::Presentation::API::Object::TrayBuilder; # requier storedb
use DE_EPAGES::Core::API::Error qw ( ExistsError );

sub test {
    my $self       = shift;
    my $LanguageID = 1;

    my $Builder;
    eval { $Builder = DE_EPAGES::Presentation::API::Object::TrayBuilder->new( {} ); };
    ok( ExistsError(), 'constructor - no parameter -> fail ' );

    $Builder = DE_EPAGES::Presentation::API::Object::TrayBuilder->new( {
            LanguageID         => $LanguageID,
            TranslationPackage => 'DE_EPAGES::Presentation'
        }
    );
    isa_ok( $Builder, 'DE_EPAGES::Presentation::API::Object::TrayBuilder' );

    # $Id, $IsSelectable, $IsSortable, $TranslationKey
    $Builder->addColumnHeader( 1, 1, 1, 'Customer' )
            ->addColumnHeader( 7, 1, 0, 'Product' );
    my $aHeader = $Builder->getHeaderList();

    is_deeply( $aHeader, ExpectedHeader(), 'column header with translated name' );
}

sub ExpectedHeader {
    return [ {
            'isSortable'   => 1,
            'name'         => 'Kunde',
            'id'           => 1,
            'isSelectable' => 1
        }, {
            'isSortable'   => 0,
            'name'         => 'Produkt',
            'id'           => 7,
            'isSelectable' => 1
        }
    ];

}

__PACKAGE__->runScript;
1;
