-- #102
CREATE TABLE product (
     productid            integer  not null
,    shopid               integer  not null
,    taxclassid           integer  null
,    isnew                bool  not null
,    isdailyprice         bool  not null
,    orderunitid          integer  null
,    pricequantity        double  null
,    minorder             decimal(19,4)  null
,    intervalorder        decimal(19,4)  null
,    weightunitid         integer  null
,    weight               double  null
,    refunitid            integer  null
,    refamount            integer  null
,    refcontentamount     double  null
,    stocklevel           double  null
,    stocklevelalert      double  null
,    manufacturerid       integer  null
,    manufacturersku      varchar(255)  null
,    deliveryperiod       varchar(20)  null
,    length               double  null
,    height               double  null
,    width                double  null
,    isavailable          bool  not null
,    availabilitydate     datetime  null
,    imagemediumsmall     varchar(255)  null
,    imagemediumlarge     varchar(255)  null
,    imagelarge           varchar(255)  null
,    imagehotdeal         varchar(255)  null
,    superproductid       integer  null
,    hassubownprices      bool  not null
,    defaultsubproductid  integer  null
,    upcean               varchar(20)  null
,    newnessdate          datetime  null
,    isappointment        bool  not null
,    canpayappointment    bool  not null
,    durationamount       integer  null
,    durationunitid       integer  null
,    ratingaverage        double  null
,    prepaymenttype       varchar(10)  null
,    prepaymentvalue      double  null
,    ecoparticipationcategoryid integer  null
,    isdownloadproduct    bool  not null
,    iscustomizable       bool  not null
,    expirydate           datetime  null

,   constraint pk_product                       primary key (productid)
,   constraint fk_product_taxclass              foreign key (taxclassid)
        references taxclass                         (taxclassid)
,   constraint fk_product_unitofmeasurement     foreign key (orderunitid)
        references unitofmeasurement                (unitid)
,   constraint fk_product_unitofmeasuremen_1    foreign key (weightunitid)
        references unitofmeasurement                (unitid)
,   constraint fk_product_unitofmeasuremen_2    foreign key (refunitid)
        references unitofmeasurement                (unitid)
,   constraint fk_product_shop                  foreign key (shopid)
        references shop                             (shopid)
,   constraint fk_product_product               foreign key (superproductid)
        references product                          (productid)
,   constraint fk_product_product_1             foreign key (defaultsubproductid)
        references product                          (productid)
,   constraint fk_product_productid             foreign key (productid)
        references contentobject                    (contentobjectid)
,   constraint fk_product_unitofmeasuremen_3    foreign key (durationunitid)
        references unitofmeasurement                (unitid)
,   constraint fk_product_ecoparticipationcat   foreign key (ecoparticipationcategoryid)
        references object         (objectid)
,   constraint fk_product_manufacturerid        foreign key (manufacturerid)
        references productmanufacturer              (manufacturerid)
)
GO
CREATE INDEX i_product_taxclass ON product (taxclassid)
GO

CREATE INDEX i_product_shop ON product (shopid)
GO

CREATE INDEX i_product_super ON product (superproductid)
GO

CREATE INDEX i_product_defaultsubproductid ON product (defaultsubproductid)
GO

CREATE INDEX i_product_upcean ON product (upcean)
GO

CREATE INDEX i_product_ecoparticipationcategory ON product (ecoparticipationcategoryid)
GO

CREATE INDEX i_product_orderunitid ON product (orderunitid)
GO

CREATE INDEX i_product_weightunitid ON product (weightunitid)
GO

CREATE INDEX i_product_refunitid ON product (refunitid)
GO

CREATE INDEX i_product_durationunitid ON product (durationunitid)
GO

CREATE INDEX i_product_manufacturerid ON product (manufacturerid)
GO

